MockBuildListener (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.MockBuildListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class MockBuildListener

    java.lang.Object
      net.sf.antcontrib.cpptasks.MockBuildListener

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener

    public class MockBuildListener

extends java.lang.Object
implements org.apache.tools.ant.BuildListener

Captures build events

Constructor Summary
`MockBuildListener()`

Method Summary
`void` | `buildFinished(org.apache.tools.ant.BuildEvent event)` Signals that the last target has finished.
`void` | `buildStarted(org.apache.tools.ant.BuildEvent event)` Signals that a build has started.
`java.util.Vector` | `getBuildFinishedEvents()`
`java.util.Vector` | `getBuildStartedEvents()` Gets a list of buildStarted events
`java.util.Vector` | `getMessageLoggedEvents()` Gets message logged events
`java.util.Vector` | `getTargetFinishedEvents()` Gets target finished events
`java.util.Vector` | `getTargetStartedEvents()` Gets target started events
`java.util.Vector` | `getTaskFinishedEvents()` Gets task finished events
`java.util.Vector` | `getTaskStartedEvents()` Gets task started events
`void` | `messageLogged(org.apache.tools.ant.BuildEvent event)` Signals a message logging event.
`void` | `targetFinished(org.apache.tools.ant.BuildEvent event)` Signals that a target has finished.
`void` | `targetStarted(org.apache.tools.ant.BuildEvent event)` Signals that a target is starting.
`void` | `taskFinished(org.apache.tools.ant.BuildEvent event)` Signals that a task has finished.
`void` | `taskStarted(org.apache.tools.ant.BuildEvent event)` Signals that a task is starting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockBuildListener

    public MockBuildListener()

Method Detail

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent event)

  Signals that the last target has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent event)

  Signals that a build has started. This event is fired before any targets have started.

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.

### getBuildFinishedEvents

    public java.util.Vector getBuildFinishedEvents()

### getBuildStartedEvents

    public java.util.Vector getBuildStartedEvents()

  Gets a list of buildStarted events

  Returns:
    list of build started events

### getMessageLoggedEvents

    public java.util.Vector getMessageLoggedEvents()

  Gets message logged events

  Returns:
    vector of "MessageLogged" events.

### getTargetFinishedEvents

    public java.util.Vector getTargetFinishedEvents()

  Gets target finished events

  Returns:
    vector of "TargetFinished" events.

### getTargetStartedEvents

    public java.util.Vector getTargetStartedEvents()

  Gets target started events

  Returns:
    vector of "TargetStarted" events.

### getTaskFinishedEvents

    public java.util.Vector getTaskFinishedEvents()

  Gets task finished events

  Returns:
    vector of "TaskFinished" events.

### getTaskStartedEvents

    public java.util.Vector getTaskStartedEvents()

  Gets task started events

  Returns:
    vector of "TaskStarted" events.

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

  Signals a message logging event.

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getMessage()`, `BuildEvent.getPriority()`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent event)

  Signals that a target has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent event)

  Signals that a target is starting.

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTarget()`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent event)

  Signals that a task has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getException()`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent event)

  Signals that a task is starting.

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildEvent.getTask()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.